<?php get_header(); ?>

<div id="content">
	<div class="category-list"><h1><?php printf( __( 'Category Archives: %s' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>
	<?php echo category_description(); /* displays the category's description from the Wordpress admin */ ?>
	</div>
    
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post-single">
			<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<?php if ( has_post_thumbnail() ) { /* loades the post's featured thumbnail, requires Wordpress 3.0+ */ echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
	
			<div class="post-writer">
					<p>Written on <a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_time('F j, Y'); ?> at <?php the_time() ?></a>, 								by <?php the_author_posts_link() ?>
					</p>
			</div>  
    
			<div class="post-excerpt">
				<?php the_excerpt(); /* the excerpt is loaded to help avoid duplicate content issues */ ?>
			</div><!--.post-excerpt-->
            
            <div class="post-meta">
				<span class="category-icon"><?php the_category(', ') ?></span>
				<?php if( get_the_tag_list() ):?> <span class="tags-icon"><?php the_tags('', ', ', ' ');?></span><?php endif;?>
				<span class="commented-icon"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
			</div><!--.postMeta-->    
		</div><!--.post-single-->
        
	<?php endwhile; else: ?>
		<div class="no-results">
			<p><strong>There has been an error.</strong></p>
			<p>We apologize for any inconvenience, please <a href="<?php echo home_url(); ?>/" title="<?php bloginfo('description'); ?>">return to the home page</a> or use the search form below.</p>
			<?php get_search_form(); /* outputs the default Wordpress search form */ ?>
		</div><!--noResults-->
	<?php endif; ?>
		
	<nav class="oldernewer">
		<div class="older">
			<p>
				<?php next_posts_link('&laquo; Older Entries') ?>
			</p>
		</div><!--.older-->
		<div class="newer">
			<p>
				<?php previous_posts_link('Newer Entries &raquo;') ?>
			</p>
		</div><!--.older-->
	</nav><!--.oldernewer-->
	
</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>