<?php
	
	// sets content width, handy for youtube content
	if ( ! isset( $content_width ) )
	$content_width = 590;

	// enables wigitized sidebars
	function biotodoma_widgets_init() {
	
	// Sidebar Widget
	register_sidebar( array(
		'name'=>__( 'Sidebar', 'biotodoma' ),
		'id' => 'sidebar-widget-area',
		'description' => __( 'The sidebar widget area', 'biotodoma' ),
		'before_widget' => '<div class="widget-area">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	) );
	
	// Footer Widget Left
	register_sidebar(array(
		'name'=>__( 'Footer Left', 'biotodoma' ),
		'id' => 'left-footer-widget-area',
		'description' => __( 'The left footer widget area', 'biotodoma' ),
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );
	
	// Footer Widget Middle
	register_sidebar(array(
		'name'=>__( 'Footer Middle', 'biotodoma' ),
		'id' => 'middle-footer-widget-area',
		'description' => __( 'The middle footer widget area', 'biotodoma' ),
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );
	
	
	// Footer Widget Right
	register_sidebar(array(
		'name'=>__( 'Footer Right', 'biotodoma' ),
		'id' => 'right-footer-widget-area',
		'description' => __( 'The right footer widget area', 'biotodoma' ),
		'before_widget' => '<div class="widget-area widget-footer">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	) );	
	
	}
	/** Register sidebars by running biotodoma_widgets_init() on the widgets_init hook. */
	add_action( 'widgets_init', 'biotodoma_widgets_init' );	
	

	// post thumbnail support
	add_theme_support( 'post-thumbnails' );

	// custom menu support
	if ( function_exists( 'register_nav_menus' ) ) {
	  	register_nav_menus(
	  		array(
	  		  'header-menu' => 'Header Menu',
	  		  'sidebar-menu' => 'Sidebar Menu',
	  		  'footer-menu' => 'Footer Menu',
	  		  )
	  	);
	}

	// custom background support
	add_custom_background();
	
	// automatic feed links
	add_theme_support('automatic-feed-links');
	
	// add callback for custom TinyMCE editor stylesheets.
	add_editor_style();

	// removes detailed login error information for security
	add_filter('login_errors',create_function('$a', "return null;"));
	
	// Removes Trackbacks from the comment cout
	add_filter('get_comments_number', 'biotodoma_comment_count', 0);
	function biotodoma_comment_count( $count ) {
		if ( ! is_admin() ) {
			global $id;
			$comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
			return count($comments_by_type['comment']);
		} else {
			return $count;
		}
	}
	
	// custom excerpt ellipses
	function biotodoma_excerpt_ellipse($text) {
   	return str_replace('[...]', ' <a href="'.get_permalink().'"><span class="moretext">Read more...</span></a>', $text); }
	add_filter('the_excerpt', 'biotodoma_excerpt_ellipse');
	
	
	// wp_enqueue_script calls
	function biotodoma_theme_queue_js(){
	  if (!is_admin()){
		if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
		  wp_enqueue_script( 'comment-reply' );
	  }
	}
	add_action('wp_print_scripts', 'biotodoma_theme_queue_js');
				

	// Custom Comments List.
	function biotodoma_mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
	
    <div id="comment-<?php comment_ID(); ?>">
		
        <?php if ($comment->comment_approved == '0') : ?>
		<div class="comment_approval">Your comment is awaiting moderation.</div>
		<?php endif; ?>
        
        <div class="comment-meta">
        <div class="gravatar">
			<?php echo get_avatar($comment,$size='80',$default='' ); ?>
		</div><!--comment-author gravatar-->
            <p class="comment_author"><?php comment_author_link(); ?></p>
			
            <p class="comment_date"><a href="<?php echo esc_attr( get_comment_link( $comment->comment_ID ) ); ?>"><?php printf(__('%1$s'), get_comment_date(),  get_comment_time()); ?></a></p>
			<p class="comment_edit"><?php edit_comment_link(__('edit','biotodoma'),' ',''); ?></p>
		
		</div><!--comment-meta-->
		<div class="comment-text">
			<?php comment_text(); ?>
		
        <div class="reply">
			<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
		</div><!--reply-->
        
        </div><!--comment-text-->
		
	</div>
	<?php }

	/* wp_list_comments()->pings callback */
	function biotodoma_custom_pings($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    if('pingback' == get_comment_type()) $pingtype = 'Pingback';
    else $pingtype = 'Trackback';
	?>
    <li id="comment-<?php echo $comment->comment_ID ?>">
        <?php comment_author_link(); ?> - <?php echo $pingtype; ?> on <?php echo mysql2date('Y/m/d/ H:i', $comment->comment_date); ?>
	<?php }
   
   
   


